API_KEY='live_...'
curl --request GET \
--url "https://api.scale.com/v2/datasets" \
--header "Authorization: Bearer $API_KEY"{
"datasets": [
{
"id": "dataset_abc123",
"name": "Dataset 1"
},
{
"id": "dataset_def456",
"name": "Dataset 2"
}
]
}{
"status_code": 500,
"error": "An error has occurred."
}Datasets
List Datasets
Retrieve a list of delivered Datasets with their IDs and names.
GET
/
v2
/
datasets
API_KEY='live_...'
curl --request GET \
--url "https://api.scale.com/v2/datasets" \
--header "Authorization: Bearer $API_KEY"{
"datasets": [
{
"id": "dataset_abc123",
"name": "Dataset 1"
},
{
"id": "dataset_def456",
"name": "Dataset 2"
}
]
}{
"status_code": 500,
"error": "An error has occurred."
}Authentication
Authentication
Every request sent to Scale’s API requires authentication. In short, your API Key is the Bearer token. See the Authentication section for more details.
Authorizations
bearerAuthbasicAuth
Your API Key is the Bearer token. See the Authentication section to learn how to access your key.
Response
List of datasets.
Show child attributes
Show child attributes

